using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;

namespace APT.BaseData.Data.Mapping.FM.System
{
	public class FMUserGroupBelongUserGroupMap : APTEntityBaseMap<T_FM_USER_GROUP_BELONG_U_G>
	{
		public override void Configure(EntityTypeBuilder<T_FM_USER_GROUP_BELONG_U_G> builder)
		{
			base.Configure(builder);

			builder.HasOne(t => t.Nav_BelongUserGroup).WithMany().HasForeignKey(t => t.BELONG_USER_GROUP_ID).OnDelete(DeleteBehavior.Restrict);
			builder.HasOne(t => t.Nav_UserGroup).WithMany(t => t.Nav_BelongUserGroups).HasForeignKey(t => t.USER_GROUP_ID).OnDelete(DeleteBehavior.Restrict);
		} 
	}
}
